#Include "albom_font.bi"

/'Type Albom_Font 
  w as integer 
  h as integer 
  d as ubyte ptr 
end Type'/

'Extern Font8  alias "fb_font_8x8"  as Albom_Font
'Extern Font14 alias "fb_font_8x14" as Albom_Font
'Extern Font16 alias "fb_font_8x16" as Albom_Font

Type FONT 
  w As Integer
  h As Integer
  d As UByte Ptr
End Type

#If __FB_VERSION__ <="0.23.0"
Extern Font_8  alias "fb_font_8x8"  as Font '    ()
Extern Font_14 alias "fb_font_8x14" as Font '  
Extern Font_16 alias "fb_font_8x16" as Font '  
#Define Font8  Font_8.d[0]
#Define Font14 Font_14.d[0]
#Define Font16 Font_16.d[0]
#EndIf

#If __FB_VERSION__ >="0.24"
Extern Font alias "__fb_font" As FONT '  8,14,16 ()
#Define Font_8  Font
#Define Font_14 Font
#Define Font_16 Font
#Define fbFont8  0 
#Define fbFont14 fbFont8+256*8 
#Define fbFont16 fbFont14+256*14 
#Define Font8  Font.d[fbFont8]
#Define Font14 Font.d[fbFont14]
#Define Font16 Font.d[fbFont16]
#EndIf

'Dim _Font8_Array_(0 To 2047) As UByte'Integer
'Dim _Font14_Array_(0 To 3583) As UByte
'Dim _Font16_Array_(0 To 4095) As UByte

Sub SaveFont(FntName As String,ScrMode As Integer,TxtLines As Integer,_
		FontLength As Integer,ByRef FontX As UByte /'Ptr'/,_FontX_Array_()As Integer)
Dim As Integer i,j
	Screen ScrMode
	Width 80,TxtLines
'	Albom_Font_load()
	For i = 0 To FontLength-1
		*(VarPtr(FontX)+i) = _FontX_Array_(i)
	Next

'	BSave(FntName,@_FontX_Array_(0),FontLength)
'	BSave(FntName+"-1",@FontX.d[0],FontLength)
'	BSave(FntName,@FontX.d[0],FontLength)
	BSave(FntName,@FontX,FontLength)

	For j=2 To 15
		For i=0 To 15
			?Chr(j*16+i);" ";
		Next
		?:?
	Next

	Sleep
End Sub

Select Case Command(1)
	Case "8"
		SaveFont("font8",18,60,2048,Font8,_Font8_Array_())
	Case "14"
		SaveFont("font14",9,25,3584,Font14,_Font14_Array_())
	Case "16"
		SaveFont("font16",18,30,4096,Font16,_Font16_Array_())
	Case Else
		? "save 8|14|16"
End Select
